JVM is not suitable for this product error - Taradata Studio Express

Teradata Studio

JVM is not suitable for this product error - Taradata Studio Express

I got the package installed correctly but it will not open because it says I need version 1.6 or greater.  I tried going out online and finding this download and when I think I have it installed, I still get the error.  Has anyone run into this and if so what can be done to get this error fixed.

Thanks!

4 REPLIES
Teradata Employee

Re: JVM is not suitable for this product error - Taradata Studio Express

The problem probably is that the java executable isn't in the path. You can try modifying your PATH environment variable to include the location of java.

Another thing you can do that will be done in future releases of Studio Express is to specify the location of Java in the TeradataStudioExpress.ini file. You can add lines similar to the following two lines to the beginning of the TeradataStudioExpress.ini file (that is in the same folder as the TeradataStudioExpress executable):

-vm

C:\Program Files\Java\jre6\bin\javaw.exe

You need to specify the actual path to the java executable. It needs to be the same bitness (32-bit or 64-bit) as the Studio Express you installed. The "-vm" needs to be on the first line and the path of the Java executable is on the second line.

Re: JVM is not suitable for this product error - Taradata Studio Express

Thanks Chuckbert!  This worked.  Greatly appreciated.

Re: JVM is not suitable for this product error - Taradata Studio Express

Helllo, i am getting the same error but on linux how can i fix it on linux enviroment.

Teradata Employee

Re: JVM is not suitable for this product error - Taradata Studio Express

@ishaheen, you need to have the 32-bit version of java in your path if you have installed the 32-bit version of Studio Express or you need the 64-bit version of Java for the 64-bit version of Studio Express.

Running the command:

java -version

in a command window will indicate the bit-ness of the Java you are running. Make sure you have installed the corresponding version of Studio Express.